"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var react_native_1 = require("react-native");
var react_native_gesture_handler_1 = require("react-native-gesture-handler");
var SegmentedControl_1 = require("./SegmentedControl");
exports.Segment = function (_a) {
    var activeTintColor = _a.activeTintColor, content = _a.content, name = _a.name, inactiveTintColor = _a.inactiveTintColor, style = _a.style;
    var _b = react_1.useContext(SegmentedControl_1.SegmentedContext), selectedName = _b.selectedName, onChange = _b.onChange;
    var active = selectedName === name;
    var handlePress = function () {
        onChange(name);
    };
    return (react_1.default.createElement(react_native_1.View, { style: [styles.container, style] },
        react_1.default.createElement(react_native_gesture_handler_1.TouchableOpacity, { onPress: handlePress },
            react_1.default.createElement(react_native_1.View, { style: styles.segment },
                react_1.default.createElement(react_native_1.Text, { numberOfLines: 1, style: [
                        styles.segmentText,
                        active
                            ? { color: activeTintColor }
                            : { color: inactiveTintColor },
                        active && styles.segmentActiveText
                    ] }, content)))));
};
var styles = react_native_1.StyleSheet.create({
    container: {
        flex: 1,
        alignItems: "center",
        zIndex: 2
    },
    segment: {
        flex: 1,
        flexDirection: "row",
        justifyContent: "center",
        alignItems: "center"
    },
    segmentText: {
        fontSize: 13,
        paddingLeft: 2,
        paddingRight: 2,
        width: "100%",
        textAlign: "center"
    },
    segmentActiveText: {
        fontWeight: "bold"
    }
});
//# sourceMappingURL=Segment.js.map